xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (c) tim.thelion@gmail.com
License | BSD
Maintainer | tim.thelion@gmail.com
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.Roledex

Contents

- Usage
- Screenshots

Description

This is a completely pointless layout which acts like Microsoft's Flip 3D

Synopsis

- data Roledex a = Roledex

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.Roledex

Then edit your `layoutHook` by adding the Roledex layout:

    myLayout =  Roledex ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

# Screenshots

data Roledex a #

Constructors

Roledex |

Instances

LayoutClass Roledex Window # |
Methods runLayout :: Workspace WorkspaceId (Roledex Window) Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (Roledex Window)) # doLayout :: Roledex Window -> Rectangle -> Stack Window -> X ([(Window, Rectangle)], Maybe (Roledex Window)) # pureLayout :: Roledex Window -> Rectangle -> Stack Window -> [(Window, Rectangle)] # emptyLayout :: Roledex Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (Roledex Window)) # handleMessage :: Roledex Window -> SomeMessage -> X (Maybe (Roledex Window)) # pureMessage :: Roledex Window -> SomeMessage -> Maybe (Roledex Window) # description :: Roledex Window -> String #
Read (Roledex a) # |
Methods readsPrec :: Int -> ReadS (Roledex a) # readList :: ReadS [Roledex a] # readPrec :: ReadPrec (Roledex a) # readListPrec :: ReadPrec [Roledex a] #
Show (Roledex a) # |
Methods showsPrec :: Int -> Roledex a -> ShowS # show :: Roledex a -> String # showList :: [Roledex a] -> ShowS #